# SourcePath: e2fsprogs/20080415dev
Summary: The EXT2 file system utilities and libraries.
Name: sony-target-dev-e2fsprogs
%define pkgname %{sony_target_config}-dev-e2fsprogs
Version: 1.40.8
Release: 05000001
URL: http://e2fsprogs.sourceforge.net
Source: e2fsprogs-%{version}.tar.gz
# some system does not have strtoull, change to strtoul if no strtoull.
Patch1: e2fsprogs-1.40.2-check-strtoull.patch
# glibc strptime requires define of _XOPEN_SOURCE, but NetBSD doesn't.
Patch2: e2fsprogs-1.40.2-xopensource.patch
# adust dd to /devel/usr/bin/dd
Patch3: e2fsprogs-1.40.2-d_loaddump-test.patch
Patch4: e2fsprogs-1.40.2-dd2devel.patch
# fix test fail, if using busybox cp.
Patch5: e2fsprogs-1.40.2-dont-cp-devnull.patch
# Patch6,7 are used to fix r_inline_xattr test failure.
Patch6: e2fsprogs-1.40.8-r_inline_xattr-test-swapfs.patch
Patch7: e2fsprogs-1.40.8-r_inline_xattr-test-grep.patch
# glibc strptime and strtoull requires define of _XOPEN_SOURCE, but NetBSD doesn't.
Patch8: e2fsprogs-1.40.8-xopensource.patch
License: GPL/LGPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}


%description
EXT2 stands for "Extended Filesystem", version 2. It's the main
filesystem type used for hard disks on Linux systems.

This package contains programs for creating, checking, and maintaining EXT2
filesystems, and the generic `fsck' wrapper.


%package -n %{pkgname}
Group: %{sony_group}
Summary: The EXT2 file system utilities and libraries.
AutoReqProv: no

%description -n %{pkgname}
EXT2 stands for "Extended Filesystem", version 2. It's the main
filesystem type used for hard disks on Linux systems.

This package contains programs for creating, checking, and maintaining EXT2
filesystems, and the generic `fsck' wrapper.


%prep
%setup -q -n e2fsprogs-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build
%sony_target_dev_setup
%target_acplatvars
chmod 755 configure
autoconf
%sony_target_dev_configure --enable-elf-shlibs --enable-dynamic-e2fsck --prefix=/ --libdir=/usr/lib --includedir=/usr/include --datadir=/usr/share
make BUILD_CC=gcc all | tee -a build.log


%install
%sony_target_dev_setup
rm -rf %{buildroot}
rm -rf %{buildroot}-bak

# use DESTDIR instead of prefix macro.
%sony_target_dev_makeinstall install-libs DESTDIR=%{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir} prefix= | tee -a build.log

rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir}/info
rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir}/man

# These links are wrong... fix them!
cd %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}
ln -sf libblkid.so.1   libblkid.so
ln -sf libcom_err.so.2 libcom_err.so
ln -sf libe2p.so.2     libe2p.so
ln -sf libext2fs.so.2  libext2fs.so
ln -sf libss.so.2      libss.so
ln -sf libuuid.so.1    libuuid.so


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_cross_target_dir}%{sony_target_dev_dir}/bin/chattr
%{sony_cross_target_dir}%{sony_target_dev_dir}/bin/compile_et
%{sony_cross_target_dir}%{sony_target_dev_dir}/bin/lsattr
%{sony_cross_target_dir}%{sony_target_dev_dir}/bin/mk_cmds
%{sony_cross_target_dir}%{sony_target_dev_dir}/bin/uuidgen
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/blkid
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/badblocks
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/debugfs
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/dumpe2fs
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/e2fsck
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/e2image
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/e2label
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/filefrag
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/findfs
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/fsck
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/fsck.ext2
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/fsck.ext3
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/logsave
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/mke2fs
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/mkfs.ext2
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/mkfs.ext3
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/mklost+found
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/resize2fs
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/tune2fs
%{sony_cross_target_dir}%{sony_target_dev_dir}/sbin/uuidd
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/e2initrd_helper
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libblkid.*
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libcom_err.*
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libe2p.*
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libext2fs.*
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libss.*
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/libuuid.*
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/blkid.pc
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/com_err.pc
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/e2p.pc
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/ext2fs.pc
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/ss.pc
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/uuid.pc
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/blkid/blkid.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/blkid/blkid_types.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/e2p/e2p.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/et/com_err.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/bitops.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_err.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_ext_attr.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_fs.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_io.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_types.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2fs.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext3_extents.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ext2fs/tdb.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ss/ss.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/ss/ss_err.h
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/uuid/uuid.h
%{sony_cross_target_dir}%{sony_target_dev_data_dir}/et/et_c.awk
%{sony_cross_target_dir}%{sony_target_dev_data_dir}/et/et_h.awk
%{sony_cross_target_dir}%{sony_target_dev_data_dir}/ss/ct_c.awk
%{sony_cross_target_dir}%{sony_target_dev_data_dir}/ss/ct_c.sed
%{sony_cross_target_dir}%{sony_target_dev_sysconf_dir}/mke2fs.conf


%changelog
* Mon Apr 28 2008 Sony Corporation
- Version up to 1.40.8.

* Mon Jan 21 2008 Sony Corporation
- Version up to 1.40.4.

* Wed Oct 17 2007 Sony Corporation
- add inode acl endian bug fix patch

* Fri Sep 07 2007 Sony Corporation
- Version up to 1.40.2.

* Tue Apr 24 2007 Sony Corporation
- add d_loaddump,swapfs(ppc32) bug fix patch

* Thu Apr 12 2007 Sony Corporation
- add arm fsck bug fix patch

* Tue May 10 2005 Sony Corporation
- modify symblic link path

* Tue Nov 11 2004 Sony Corporation
- add Distribution,Vendor,Packager

* Wed Nov 10 2004 Sony Corporation
- Name: e2fsprog -> sony-target-dev-e2fsprogs
- modify macro %target_acplatvars

* Thu Nov 02 2004 Sony Corporation - dev-e2fsprogs
- Initial build.
